#### 3.25.47.3 circle

Syntax:

        set object <index> circle {at|center} <position> size <radius>
            {arc [<begin>:<end>]}
            {<other-object-properties>}

The position of the circle is specified by giving the position of the center center followed by the radius. The keywords ‘at‘ and ‘center‘ are synonyms. The position and radius may be given in x-axis, graph, or canvas coordinates. See ‘coordinates‘. In all cases the radius is calculated relative to the horizontal scale of the axis, graph, or canvas. Any disparity between the horizontal and vertical scaling will be corrected for so that the result is always a circle.

By default a full circle is drawn. The optional qualifier ‘arc‘ specifies a starting angle and ending angle, in degrees, for one arc of the circle. The arc is always drawn counterclockwise.